$background-color: #ffffff;
$header-color: #eeeeee;
$text-color: #222222;
$text-color-fade: #777;
$inverted-text-color: #fafafa;
$link-color: #0011dd;
$visited-link-color: #719;
$neutral-shade: #aaaaaa;
$blue-shade: #001199;
$red-shade: #aa2200;
$dark-red-shade: #c51e00;
$green-shade: #00aa66;
$orange-shade: #fe7711;
$dark-orange-shade: #c88e05;
$brown-shade: #a0522d;
$cyan-shade: #0099ff;
$purple-shade: #8844ff;
$magenta-shade: #bb44ee;

$dark-background-color: #282a36;
$dark-header-color: #353746;
$dark-text-color: #bcc2d7;
$dark-text-color-highlight: #f7f5ff;
$dark-text-color-fade: darken(#bcc2d7,20%);
$dark-inverted-text-color: #fafafa;
$dark-link-color: #49a4e4;
$dark-visited-link-color: #a68bfc;
// $dark-visited-link-color: #c72eff;
$dark-neutral-shade: #191a20;
$dark-red-shade: #cc6644;

$dark-search-button-text-color: #f1deff;

$link-code-background-color: rgba($neutral-shade, 0.1);
$dark-link-code-background-color: rgba(lighten($link-color, 20%), 0.33);

@mixin dark {
    @media (prefers-color-scheme: dark) {
        & {
            @content;
        }
    }
}

@mixin little-pill-padding {
  padding: 1px 4px 2px 4px;
}
@mixin little-pill-padding-border {
  padding: 0 3px 1px 3px;
}

@mixin little-pill {
  @include little-pill-once;
  @include little-pill-idempotent;
}

@mixin little-pill-once {
  font-size: 0.7em;
  @media (prefers-contrast: more) {
    font-size: 0.8em;
  }
  font-variant: small-caps;
  font-weight: normal;
}

@mixin little-pill-idempotent {
  box-sizing: border-box;
  border-radius: 4px;
  display: inline-block;
  vertical-align: baseline;
  line-height: 1;
}
